# loki.expression.tests.test_parser

Functions

`convert_to_case`(_str[, mode]) |
`test_expression_parser`(frontend, case, tmp_path) |
`test_expression_parser_evaluate`(case) |
`test_parse_expression`(parse, source, ref) | Test the utility function that parses simple expressions.

convert_to_case(_str, mode='upper')

test_parse_expression(parse, source, ref)

  Test the utility function that parses simple expressions.

test_expression_parser(frontend, case, tmp_path)

test_expression_parser_evaluate(case)